import { ComponentFixture, TestBed } from '@angular/core/testing';

import { MeasurementsSummaryComponent } from './measurements-summary.component';
import {DataCardService} from '../../api/data-card.service';
import {of} from 'rxjs/internal/observable/of';

describe('MeasurementsSummaryComponent', () => {
  let component: MeasurementsSummaryComponent;
  let fixture: ComponentFixture<MeasurementsSummaryComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ MeasurementsSummaryComponent ],
      providers: [
        {provide: DataCardService, useValue: {isDataCardClosed: of(false)}}
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(MeasurementsSummaryComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
