import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'trimToLength'
})
export class TrimToLengthPipe implements PipeTransform {

  transform(value: string|undefined|null, length: number): string {
    if (!value || value.length < length) {
      return value || '';
    }
    return value.slice(0, length - 3) + '...';
  }

}
