import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'cardStatus'
})
export class DatacardStatusPipe implements PipeTransform {

  transform(status: string, ...args: unknown[]): unknown {
    switch (status) {
      case 'CLOSED':
        return 'Afsluttet';
      case 'ACTIVE':
        return 'Igangværende';
    }
  }
}
