import { TestBed } from '@angular/core/testing';

import { ScreeningsService } from './screenings.service';
import {of} from 'rxjs';
import {DataCardService} from '../api/data-card.service';

describe('ScreeningsService', () => {
  let service: ScreeningsService;

  let dataCardServiceStub: DataCardService;

  beforeEach(() => {
    dataCardServiceStub = {
      selectedDataCard$: of({})
    } as any;

    TestBed.configureTestingModule({
      providers: [{provide: DataCardService, useValue: dataCardServiceStub}]
    });
    service = TestBed.inject(ScreeningsService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
