import { ComponentFixture, TestBed } from '@angular/core/testing';

import { SwitchEncounterComponent } from './switch-encounter.component';
import {DataCardService} from '../api/data-card.service';
import {of} from 'rxjs';

describe('SwitchEncounterComponent', () => {
  let component: SwitchEncounterComponent;
  let fixture: ComponentFixture<SwitchEncounterComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ SwitchEncounterComponent ],
      providers: [{ provide: DataCardService, useValue: {isDataCardClosed: of(false)}}]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SwitchEncounterComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
