import {Component, OnInit} from '@angular/core';
import {DataCardService} from '../api/data-card.service';
import {DataCard} from '@nspop/gm-web-facade-api';

@Component({
  selector: 'app-switch-encounter',
  templateUrl: './switch-encounter.component.html',
  styleUrls: ['./switch-encounter.component.scss']
})
export class SwitchEncounterComponent implements OnInit{
  public allDataCards$ = this.dataCardService.allDataCards$;
  public selectedDataCard: DataCard | undefined;

  constructor(private dataCardService: DataCardService) { }

  ngOnInit(): void {
  }

}
